Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Class DAnnotation.Attribute

    java.lang.Object
      org.kohsuke.rngom.digested.DAnnotation.Attribute

Enclosing class:
  DAnnotation

    public static class DAnnotation.Attribute

extends java.lang.Object

Attribute.

Constructor Summary
`DAnnotation.Attribute(java.lang.String ns, java.lang.String localName, java.lang.String prefix)`
`DAnnotation.Attribute(java.lang.String ns, java.lang.String localName, java.lang.String prefix, java.lang.String value, org.xml.sax.Locator loc)`

Method Summary
`org.xml.sax.Locator` | `getLoc()` Gets the location in the source schema file where this annotation was present.
`java.lang.String` | `getLocalName()` Gets the local name of this attribute.
`java.lang.String` | `getNs()` Gets the namespace URI of this attribute.
`java.lang.String` | `getPrefix()` Gets the prefix of thie attribute.
`java.lang.String` | `getValue()` Gets the attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAnnotation.Attribute

    public DAnnotation.Attribute(java.lang.String ns,
                                 java.lang.String localName,
                                 java.lang.String prefix)

### DAnnotation.Attribute

    public DAnnotation.Attribute(java.lang.String ns,
                                 java.lang.String localName,
                                 java.lang.String prefix,
                                 java.lang.String value,
                                 org.xml.sax.Locator loc)

Method Detail

### getNs

    public java.lang.String getNs()

  Gets the namespace URI of this attribute.

  Returns:
    can be empty (to represent the default namespace), but never null.

### getLocalName

    public java.lang.String getLocalName()

  Gets the local name of this attribute.

  Returns:
    always non-null.

### getPrefix

    public java.lang.String getPrefix()

  Gets the prefix of thie attribute.

  Returns:
    null if this attribute didn't have a prefix.

### getValue

    public java.lang.String getValue()

  Gets the attribute value.

  Returns:
    never null.

### getLoc

    public org.xml.sax.Locator getLoc()

  Gets the location in the source schema file where this annotation was present.

  Returns:
    never null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD